libzypp 17.37.10

zyppng::UserInterfacePrivate Class Reference

`#include <zypp-core/zyppng/ui/private/userinterface_p.h>`

Inheritance diagram for zyppng::UserInterfacePrivate:

## Public Member Functions
| UserInterfacePrivate (UserInterface &b)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
Signal< void(UserRequestRef event)> | _sigEvent
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 10 of file userinterface_p.h.

## Constructor & Destructor Documentation

## ◆ UserInterfacePrivate()

zyppng::UserInterfacePrivate::UserInterfacePrivate | ( | UserInterface & | b | ) |
| inline

Definition at line 14 of file userinterface_p.h.

## Member Data Documentation

## ◆ _sigEvent

Signal<void( UserRequestRef event)> zyppng::UserInterfacePrivate::_sigEvent

Definition at line 16 of file userinterface_p.h.

The documentation for this class was generated from the following file:

- zypp-core/zyppng/ui/private/userinterface_p.h